import { IEventBus } from "../../utils/EventBus";
import { ILedgerConnectModalData } from './ledger-connect-modal.types';
export declare class LedgerConnectModal {
    hostElement: HTMLElement;
    private eventBus;
    data: ILedgerConnectModalData;
    getEventBus(): Promise<IEventBus>;
    private selectedIndex;
    private selectedAddress;
    render(): any;
    private accessWallet;
    private selectAccount;
    nextPage(): Promise<void>;
    prevPage(): Promise<void>;
    close(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
